package thed.zee.selenium.src;
import java.io.File;
import java.util.ArrayList;

import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;
import org.jsoup.nodes.Element; 
/**
 * 
 * @author gokul.kumar
 * DESCRIPTION: This file parses the ANT report to find execution status of tests
 * INPUT: ANT generated report file from JuniTest
 * OUTPUT: Parsed data containing the test status and name
 */

public class ParserJava {

	public static void main(String[] args) {
		
		try {
            File input=new File("C:\\Users\\Gokul.Kumar\\workspace\\SeleniumZEE\\com\\thed\\zee\\selenium\\src\\report\\html\\thed\\zee\\selenium\\src\\0_JunitTest.html");
            Document document=Jsoup.parse(input, "UTF-8");
            Document parse=Jsoup.parse(document.html());   
            Element name, status;
            int tdCount = parse.select("td").size();
            TObj test;
            ArrayList<TObj> list = new ArrayList<TObj>();
            
            
            for(int i=10;i<tdCount;)
            {
            	test = new TObj();
            	name=parse.select("td").get(i);
            	test.setTestName(name.text());
            	i++;
               
                status=parse.select("td").get(i);
                test.setTestStatus(status.text());
            	i=i+3;
            	list.add(test);
            }

            for(int i=0;i<list.size();i++) {
            	
            	test = list.get(i);
            	System.out.println("Name is "+ test.getTestName());
            	System.out.println("Status is "+ test.getTestStatus());
            }
            
       
        } catch (Exception e) {
            e.printStackTrace();
        }
		
	}
}
